Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 326771 - Adjust documentation for now stable net-dns/totd
Summary: Adjust documentation for now stable net-dns/totd
Status: RESOLVED FIXED
Alias: None
Product: [OLD] Docs on www.gentoo.org
Classification: Unclassified
Component: Other documents (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: nm (RETIRED)
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks:
 
Reported: 2010-07-03 21:33 UTC by Petteri Räty (RETIRED)
Modified: 2011-03-02 09:54 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petteri Räty (RETIRED) gentoo-dev 2010-07-03 21:33:55 UTC
Haven't tried the software myself but as our ipv6 has been referring to this and it's been in tree for years you probably find it working. Once stable the docs team can fix the docs to remove the need for unmasking. amd64 is probably interested in ~arch.
Comment 1 Markos Chandras (RETIRED) gentoo-dev 2010-07-04 22:11:50 UTC
keyworded for amd64
Comment 2 David Abbott gentoo-dev 2010-07-12 20:46:04 UTC
Installed fine on my x86 test box. Ran across this interesting how-to.
http://tomicki.net/ipv6.router.php
Comment 3 Christian Faulhammer (RETIRED) gentoo-dev 2010-07-13 14:43:25 UTC
stable x86, thanks David, closing
Comment 4 Christian Faulhammer (RETIRED) gentoo-dev 2010-07-13 14:44:00 UTC
Reopen as docs team need to change the documentation.
Comment 5 Christian Faulhammer (RETIRED) gentoo-dev 2010-07-13 14:44:41 UTC
> Once stable the docs team can fix the docs to remove the need for unmasking.
Comment 6 nm (RETIRED) gentoo-dev 2010-07-13 17:19:50 UTC
(In reply to comment #5)
Should we even continue referencing totd in the guide? Are there any other maintained substitutes?

totd is maintainer-wanted and no-herd. It's only available for two arches, and it's stable on only one of them.

Is there a cross-platform maintained alternative that we can document?
Comment 7 nm (RETIRED) gentoo-dev 2010-07-13 17:24:43 UTC
Fixed in CVS, but I'd like to get a response to comment #6.
Comment 8 Petteri Räty (RETIRED) gentoo-dev 2010-07-18 15:15:23 UTC
(In reply to comment #7)
> Fixed in CVS, but I'd like to get a response to comment #6.
> 

I don't know. Your best bet is asking on gentoo-dev or gentoo-user.
Comment 9 Hans de Graaff gentoo-dev 2010-07-20 07:03:11 UTC
Looking at the current documentation I'm not sure we should keep the 6to4 part given the issues discussed in comment #6. My understanding is that at least for the next few years people will still get IPv4 connectivity on their connections, and thus 6to4 is not needed yet. For small networks it probably makes more sense to just keep using NAT for IPv6 and put IPv6 alongside it. For large deployments it may make sense to use 6to4, but that seems to be fairly advanced use of IPv6.

All in all my vote would be either remote the 6to4 section or put it on an advanced type of page with warning. Given that Josh already indicated on IRC that the doc team can't really maintain another page, I guess removal is our best option for now.
Comment 10 nm (RETIRED) gentoo-dev 2011-03-02 09:54:29 UTC
Given comment #9 and the other discussion, I went ahead and removed the chapter on 6to4.

If folks really want it, and/or there are better cross-platform tools, then we can add a new section on 6to4.